package net.northking.cctp.upperComputer.driver.ios.command.data;


import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class PinchUiNodeData extends SearchUiNodeData {

    public double scale;

    public double speed;

    public void setDuration(double duration) {
        this.scale = duration;
    }

    public double getDuration() {
        return scale;
    }

    public void setSpeed(double speed) {
        this.speed = speed;
    }

    public double getSpeed() {
        return speed;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        super.buildFromInput(dataInput);
        scale = dataInput.readDouble();
        speed = dataInput.readDouble();
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        super.encodeToOutput(dataOutput);
        dataOutput.writeDouble(scale);
        dataOutput.writeDouble(speed);
    }
}
